<!DOCTYPE html>
<html lang="{{ app.request.locale }}">
    <head>
        <meta charset="UTF-8">
        <title>{% block title %}{% endblock %}</title>
        <meta name="description" content="{% block metaDescription %}{% endblock %}">

        {# Href Lang #}
        {% include 'base/_hreflang.html.twig' %}

        {# Open Graph #}
        {% include 'base/_open-graph.html.twig' %}

        {# Favicon #}
        {% include 'base/_favicon.html.twig' %}

        {# ANIMATE CSS #}
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/4.1.1/animate.min.css"/>
        {# AOS #}
        <link rel="stylesheet" href="https://unpkg.com/aos@next/dist/aos.css"/>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        {# LightGallery-js #}
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/lightgallery-js/1.4.0/css/lightgallery.min.css" integrity="sha512-kwJUhJJaTDzGp6VTPBbMQWBFUof6+pv0SM3s8fo+E6XnPmVmtfwENK0vHYup3tsYnqHgRDoBDTJWoq7rnQw2+g==" crossorigin="anonymous" referrerpolicy="no-referrer" />
        {% block canonical %}{% endblock %}
        {% block stylesheets %}
            {{ encore_entry_link_tags('app') }}
        {% endblock %}

        {% block javascripts %}
            {{ encore_entry_script_tags('app') }}
        {% endblock %}
    </head>
    <body>
        {% if app.user and app.user.roles[0] == 'ROLE_BACKEND' %}
            {% include 'base/_admin-menu.html.twig' %}
        {% endif %}
        {% include 'base/_topbar.html.twig' %}
        {% include 'base/_header.html.twig' %}
        
        {% if app.user %}
            {% set menuItems = getMenuItems(constant('App\\Enum\\DataEnum::DATA_FRONTEND_MENU_DEV_KEY')) %}
            {% set footerItems = getMenuItems(constant('App\\Enum\\DataEnum::DATA_FRONTEND_FOOTER_DEV_KEY')) %}
        {% else %}
            {% set menuItems = getMenuItems(constant('App\\Enum\\DataEnum::DATA_FRONTEND_MENU_DEV_KEY')) %}
            {% set footerItems = getMenuItems(constant('App\\Enum\\DataEnum::DATA_FRONTEND_FOOTER_DEV_KEY')) %}
        {% endif %}

        {% include 'base/_menu.html.twig' with {menuItems: menuItems} %}

        {% include "page/elements/_toasts.html.twig" %}
        
        {% block body %}{% endblock %}

        {# AOS #}
        <script src="https://unpkg.com/aos@next/dist/aos.js"></script>
        <script>
            /* AOS.init(); */
            AOS.init({disable: 'mobile'});
        </script>
        
        {# LightGallery-js #}
        <script src="https://cdnjs.cloudflare.com/ajax/libs/lightgallery-js/1.4.0/js/lightgallery.min.js" integrity="sha512-b4rL1m5b76KrUhDkj2Vf14Y0l1NtbiNXwV+SzOzLGv6Tz1roJHa70yr8RmTUswrauu2Wgb/xBJPR8v80pQYKtQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
        <script>
            lightGallery(document.querySelector('.gallery'));
        </script>
    </body>
</html>